GNU bug report logs - #36799
[PATCH 10/11] gnu: Add r-mixomics.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: zimoun <zimon.toutoune@HIDDEN>; Keywords: patch; merged with #36789, #36790, #36791, #36792, #36793, #36794, #36795, #36796, #36797, #36798, #36800; dated Wed, 24 Jul 2019 18:23:09 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jul 2019 18:22:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 24 14:22:50 2019
Received: from localhost ([127.0.0.1]:37999 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqLub-0005NC-Os
	for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:50 -0400
Received: from lists.gnu.org ([209.51.188.17]:53309)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuI-0005Li-U9
 for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:31 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41156)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuH-0003JD-NB
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:30 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuG-0007LN-E5
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:29 -0400
Received: from mail-wr1-x444.google.com ([2a00:1450:4864:20::444]:37543)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <zimon.toutoune@HIDDEN>)
 id 1hqLuG-0007KG-7w
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:28 -0400
Received: by mail-wr1-x444.google.com with SMTP id n9so22935346wrr.4
 for <guix-patches@HIDDEN>; Wed, 24 Jul 2019 11:22:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=OSVrzdIYMqZK1JmBVmn3id+dsxL+4LAG2m5E4h3cW3M=;
 b=sha95n4lGaGvY2bGThdgOf385qekX03bv61eBfpv2LEvAVZRVjU63K52ANguH9HtTz
 04XNqFy8KXEQX+hDGGtS8ua4fn6ISFhGcSag6a0gUB1k2Lb3BM7oIFshmokDRh7cjiIO
 6MVRaWwz/kNYDrDhuABoFnTHbei4fzV8ZRGfEXCsy+QHfmj9xzRfoJ5VzzRn3KZD9BHW
 Qbci9qgUSjY72Gqp2GxX73Rn+oqAS4bRrwNdUf1jxORL4nqh+2gW8JKKeIvr1JrCjkQX
 2yaxMYuWcMc0uTHWVAw97UEKDg5ZxaPGwdIORcK3eU9jrW8UVjh4A3//Vu+i0ywKufQ1
 lKpQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=OSVrzdIYMqZK1JmBVmn3id+dsxL+4LAG2m5E4h3cW3M=;
 b=NYjBxCF1GICvMFMKa1ZbaSVZqFtFj9hfBXAX5CfTPUYf7cAFMmLkVfwxkYXnM7Xwxq
 XW7bwhuxaaN7IRgMlutbKFRRLlLhIc9kL0GN2r60hz+SlmbIkzyu705NRl56TCb7Pyct
 xHzi3MvRoG8j/yQXxM5zUCIqq0hs8SPVh6RkdEPbySU8f75OCh8pa9u99Q/2s50Rc3p3
 J3pJhPpoIELMqb0fIHontAAjwMnPzc9horqZeHZrWAI4MtK9Vi16jeo/qAo9Q077B29j
 QessCVsxH8KbsCUmTjUuzVmrsSzYLbZtFk+vARDF0er86HhogxVgLHz5tI31VYufYvpM
 U/Fg==
X-Gm-Message-State: APjAAAWSKC6b8Y5X4Sv3PJV8B8coepefU4Jc9S0QOePuT8oK244TXUSO
 hle41XYFNndUCmqG9ZUnDCVfa641
X-Google-Smtp-Source: APXvYqzyl11IBqOyaqgmhhrD+fF562RdIWpPtMnE28DsPNfTMy9rUwVULK1zqzOsXyGJRCib3fIPHg==
X-Received: by 2002:adf:ec0f:: with SMTP id x15mr54221988wrn.165.1563992546975; 
 Wed, 24 Jul 2019 11:22:26 -0700 (PDT)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id g12sm66116616wrv.9.2019.07.24.11.22.26
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 24 Jul 2019 11:22:26 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 10/11] gnu: Add r-mixomics.
Date: Wed, 24 Jul 2019 20:22:03 +0200
Message-Id: <20190724182204.6818-11-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.22.0
In-Reply-To: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
References: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::444
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/bioconductor.scm (r-mixomics): New variable.
---
 gnu/packages/bioconductor.scm | 54 +++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

diff --git a/gnu/packages/bioconductor.scm b/gnu/packages/bioconductor.scm
index dd6570ed17..64625aedd4 100644
--- a/gnu/packages/bioconductor.scm
+++ b/gnu/packages/bioconductor.scm
@@ -4959,3 +4959,57 @@ and to both short and long sequence reads.")
       "FlowSOM offers visualization options for cytometry data, by using Self-Organizing Map clustering and Minimal Spanning Trees.")
     (license license:gpl2+)))
 
+(define-public r-mixomics
+  (package
+    (name "r-mixomics")
+    (version "6.8.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (bioconductor-uri "mixOmics" version))
+        (sha256
+          (base32
+            "1f08jx35amn3sfcmqb96mjxxsm6dnpzhff625z758x1992wj4zsk"))))
+    (properties `((upstream-name . "mixOmics")))
+    (build-system r-build-system)
+    (propagated-inputs
+      `(("r-corpcor" ,r-corpcor)
+        ("r-dplyr" ,r-dplyr)
+        ("r-ellipse" ,r-ellipse)
+        ("r-ggplot2" ,r-ggplot2)
+        ("r-gridextra" ,r-gridextra)
+        ("r-igraph" ,r-igraph)
+        ("r-lattice" ,r-lattice)
+        ("r-mass" ,r-mass)
+        ("r-matrixstats" ,r-matrixstats)
+        ("r-rarpack" ,r-rarpack)
+        ("r-rcolorbrewer" ,r-rcolorbrewer)
+        ("r-reshape2" ,r-reshape2)
+        ("r-tidyr" ,r-tidyr)))
+    (home-page "http://www.mixOmics.org")
+    (synopsis "Omics Data Integration Project")
+    (description
+      "Multivariate methods are well suited to large omics data sets where the
+number of variables (e.g.  genes, proteins, metabolites) is much larger than
+the number of samples (patients, cells, mice).  They have the appealing
+properties of reducing the dimension of the data by using instrumental
+variables (components), which are defined as combinations of all variables.
+Those components are then used to produce useful graphical outputs that enable
+better understanding of the relationships and correlation structures between
+the different data sets that are integrated.  mixOmics offers a wide range of
+multivariate methods for the exploration and integration of biological
+datasets with a particular focus on variable selection.  The package proposes
+several sparse multivariate models we have developed to identify the key
+variables that are highly correlated, and/or explain the biological outcome of
+interest.  The data that can be analysed with mixOmics may come from high
+throughput sequencing technologies, such as omics data (transcriptomics,
+metabolomics, proteomics, metagenomics etc) but also beyond the realm of
+omics (e.g.  spectral imaging).  The methods implemented in mixOmics can also
+handle missing values without having to delete entire rows with missing data.
+A non exhaustive list of methods include variants of generalised Canonical
+Correlation Analysis, sparse Partial Least Squares and sparse Discriminant
+Analysis.  Recently we implemented integrative methods to combine multiple
+data sets: N-integration with variants of Generalised Canonical Correlation
+Analysis and P-integration with variants of multi-group Partial Least
+Squares.")
+    (license license:gpl2+)))
-- 
2.21.0





Acknowledgement sent to zimoun <zimon.toutoune@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#36799; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Jul 2019 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.